modelProviders.list(): the project's model providers, by name
curl --request GET \
--url https://api.paddock.build/v1/model-providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/model-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/model-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/model-providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name": "<string>",
"kind": "anthropic",
"protocol": "anthropic",
"harness": "claude-code",
"baseUrl": "<string>",
"keyPreview": "<string>",
"models": [
{
"id": "<string>",
"name": "<string>",
"protocol": "anthropic"
}
],
"status": "ok",
"lastError": "<string>",
"checkedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Models
modelProviders.list(): the project's model providers, by name
GET
/
model-providers
modelProviders.list(): the project's model providers, by name
curl --request GET \
--url https://api.paddock.build/v1/model-providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/model-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/model-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/model-providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name": "<string>",
"kind": "anthropic",
"protocol": "anthropic",
"harness": "claude-code",
"baseUrl": "<string>",
"keyPreview": "<string>",
"models": [
{
"id": "<string>",
"name": "<string>",
"protocol": "anthropic"
}
],
"status": "ok",
"lastError": "<string>",
"checkedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}